Ask Your Question

Revision history [back]

Support for arm32 platforms has been downgraded in Foxy:
https://discourse.ros.org/t/potential-downgrade-of-arm32-support-to-tier-3/14136

Here is one alternative:
https://github.com/cyberbotics/epuck_ros2/tree/master/installation/cross_compile

We successfully managed to cross-compile Foxy base packages for Raspberry Pi Zero. You may need to change it a bit for your platform, but it should not be a big issue.